"use strict";

var __awaiter = undefined && undefined.__awaiter || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) {
            try {
                step(generator.next(value));
            } catch (e) {
                reject(e);
            }
        }
        function rejected(value) {
            try {
                step(generator["throw"](value));
            } catch (e) {
                reject(e);
            }
        }
        function step(result) {
            result.done ? resolve(result.value) : new P(function (resolve) {
                resolve(result.value);
            }).then(fulfilled, rejected);
        }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const cosmiconfig = require("cosmiconfig");
const MySqlConfig_validator_1 = require("./MySqlConfig.validator");
const explorer = cosmiconfig('mysql');
function getMySqlConfig(searchFrom) {
    return __awaiter(this, void 0, void 0, function* () {
        return parseResult((yield explorer.search(searchFrom)));
    });
}
exports.getMySqlConfig = getMySqlConfig;
function getMySqlConfigSync(searchFrom) {
    return parseResult(explorer.searchSync(searchFrom));
}
exports.getMySqlConfigSync = getMySqlConfigSync;
function _testReadMySqlConfigSync(filename) {
    return parseResult(explorer.loadSync(filename));
}
exports._testReadMySqlConfigSync = _testReadMySqlConfigSync;
function parseResult(result) {
    return MySqlConfig_validator_1.default(result ? result.config : {});
}
//# sourceMappingURL=index.js.map